%define name libstroke
%define version 0.4
%define release 4mdk

%define major 0
%define libname %name%{major}

Summary: A stroke interface library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.etla.net/libstroke/%{name}-%{version}.tar.bz2
License: GPL
URL: http://www.etla.net/libstroke/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
LibStroke is a stroke interface library.  Strokes are motions
of the mouse that can be interpreted by a program as a command.

%package -n %{libname}
Summary: A stroke interface library
Group: System/Libraries

%description -n %{libname}
LibStroke is a stroke interface library.  Strokes are motions
of the mouse that can be interpreted by a program as a command.

%package -n %{libname}-devel
Summary: Development files for the libstroke library
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: libstroke-devel
Requires: libstroke0 = 0.4

%description -n %{libname}-devel
Development files for the libstroke library.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%configure

%make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%doc ChangeLog README NEWS AUTHORS CREDITS COPYRIGHT TODO

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_includedir}/*

%postun -n %{libname}
/sbin/ldconfig

%post -n %{libname}
/sbin/ldconfig

%changelog
* Thu Mar 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4-4mdk
- fixes from Michael Brown <mbrown@linux-mandrake.com> :
	- Fixed -devel Requires: tag (name -> libname)

* Fri Jan 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4-3mdk
- make lib policy compliant

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4-2mdk
- macros
- clean spec
- BM

* Tue Jun 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4-1mdk
- first Mandrake version.

# end of file
